summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author David Somero2013-12-01 08:21:08 +0100
committer Robby Workman2013-12-02 07:58:02 +0100
commit749460d8eac3f2cae4e140afc9a74b1da29ea9d1 (patch)
tree3d7d4280fb9e59460abefc0170ec1dc0fe296d1e /multimedia
parent0c01842e9a9b21835ba447cb9a4254ddb4e68203 (diff)
downloadslackbuilds-749460d8eac3f2cae4e140afc9a74b1da29ea9d1.tar.gz
multimedia/mythtv: Added (mythical home media convergence PVR/DVR).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mythtv/README10
-rw-r--r--multimedia/mythtv/README.SLACKWARE14
-rw-r--r--multimedia/mythtv/doinst.sh28
-rw-r--r--multimedia/mythtv/files/mysql.txt39
-rw-r--r--multimedia/mythtv/files/mythfrontend.desktop8
-rw-r--r--multimedia/mythtv/files/mythfrontend.pngbin0 -> 19611 bytes
-rw-r--r--multimedia/mythtv/files/mythtv-setup.desktop8
-rw-r--r--multimedia/mythtv/files/mythtv-setup.pngbin0 -> 19611 bytes
-rw-r--r--multimedia/mythtv/files/mythtv.logrotate.d10
-rw-r--r--multimedia/mythtv/files/rc.mythbackend.new62
-rw-r--r--multimedia/mythtv/mythtv.SlackBuild158
-rw-r--r--multimedia/mythtv/mythtv.info10
-rw-r--r--multimedia/mythtv/slack-desc19
13 files changed, 366 insertions, 0 deletions
diff --git a/multimedia/mythtv/README b/multimedia/mythtv/README
new file mode 100644
index 0000000000..93ae755f3c
--- /dev/null
+++ b/multimedia/mythtv/README
@@ -0,0 +1,10 @@
+MythTV is a GPL licensed suite of programs that allow you to build the
+mythical home media convergence box on your own using Open Source software
+and operating systems. MythTV is known to work on Linux and Mac OS X
+(PowerPC and Intel).
+
+See README.SLACKWARE after installation for setup information.
+
+Optional but recommended dependencies:
+libdvdcss, libavc1394, libiec61883, jack-audio-connection-kit, libvdpau,
+gsm, xmltv, mjpegtools, transcode, exif, and lirc.
diff --git a/multimedia/mythtv/README.SLACKWARE b/multimedia/mythtv/README.SLACKWARE
new file mode 100644
index 0000000000..cbfc880ee4
--- /dev/null
+++ b/multimedia/mythtv/README.SLACKWARE
@@ -0,0 +1,14 @@
+README.SLACKWARE for mythtv
+
+You need to create a database before you can run mythtv:
+ # mysql -u root -p < /usr/share/mythtv/database/mc.sql
+
+Then run mythtv-setup to configure mythtv
+ # mythtv-setup
+
+If you get an error about timezones run
+ # mysql_tzinfo_to_sql /usr/share/zoneinfo | mysql -u root mysql
+
+Detailed instructions for mythtv can be found here:
+ http://www.mythtv.org/wiki/index.php/User_Manual:Initial_Installation
+
diff --git a/multimedia/mythtv/doinst.sh b/multimedia/mythtv/doinst.sh
new file mode 100644
index 0000000000..4034523b95
--- /dev/null
+++ b/multimedia/mythtv/doinst.sh
@@ -0,0 +1,28 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+# Keep same perms on rc.mythbackend.new:
+if [ -e etc/rc.d/rc.mythbackend ]; then
+ cp -a etc/rc.d/rc.mythbackend etc/rc.d/rc.mythbackend.new.incoming
+ cat etc/rc.d/rc.mythbackend.new > etc/rc.d/rc.mythbackend.new.incoming
+ mv etc/rc.d/rc.mythbackend.new.incoming etc/rc.d/rc.mythbackend.new
+fi
+
+config etc/rc.d/rc.mythbackend.new
+config etc/logrotate.d/mythbackend.new
+config etc/mythtv/config.xml.new
+config etc/mythtv/mysql.txt.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/mythtv/files/mysql.txt b/multimedia/mythtv/files/mysql.txt
new file mode 100644
index 0000000000..9248cd501e
--- /dev/null
+++ b/multimedia/mythtv/files/mysql.txt
@@ -0,0 +1,39 @@
+DBHostName=localhost
+
+# By default, Myth tries to ping the DB host to see if it exists.
+# If your DB host or network doesn't accept pings, set this to no:
+#
+#DBHostPing=no
+
+DBUserName=mythtv
+DBPassword=mythtv
+DBName=mythconverg
+DBType=QMYSQL3
+
+# Set the following if you want to use something other than this
+# machine's real hostname for identifying settings in the database.
+# This is useful if your hostname changes often, as otherwise you
+# will need to reconfigure mythtv (or futz with the DB) every time.
+# TWO HOSTS MUST NOT USE THE SAME VALUE
+#
+#LocalHostName=my-unique-identifier-goes-here
+
+# If you want your frontend to be able to wake your MySQL server
+# using WakeOnLan, have a look at the following settings:
+#
+#
+# The time the frontend waits (in seconds) between reconnect tries.
+# This should be the rough time your MySQL server needs for startup
+#
+#WOLsqlReconnectWaitTime=0
+#
+#
+# This is the number of retries to wake the MySQL server
+# until the frontend gives up
+#
+#WOLsqlConnectRetry=5
+#
+#
+# This is the command executed to wake your MySQL server.
+#
+#WOLsqlCommand=echo 'WOLsqlServerCommand not set'
diff --git a/multimedia/mythtv/files/mythfrontend.desktop b/multimedia/mythtv/files/mythfrontend.desktop
new file mode 100644
index 0000000000..a94ec5b303
--- /dev/null
+++ b/multimedia/mythtv/files/mythfrontend.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=mythTV frontend
+Comment=Record, playback and watch TV.
+Icon=mythfrontend
+Exec=mythfrontend
+Terminal=false
+Type=Application
+Categories=AudioVideo;Player;
diff --git a/multimedia/mythtv/files/mythfrontend.png b/multimedia/mythtv/files/mythfrontend.png
new file mode 100644
index 0000000000..5d456be3af
--- /dev/null
+++ b/multimedia/mythtv/files/mythfrontend.png
Binary files differ
diff --git a/multimedia/mythtv/files/mythtv-setup.desktop b/multimedia/mythtv/files/mythtv-setup.desktop
new file mode 100644
index 0000000000..8fa20f756c
--- /dev/null
+++ b/multimedia/mythtv/files/mythtv-setup.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=mythTV setup
+Comment=Setup for mythTV.
+Icon=mythtv-setup
+Exec=mythtv-setup
+Terminal=false
+Type=Application
+Categories=AudioVideo;Player;
diff --git a/multimedia/mythtv/files/mythtv-setup.png b/multimedia/mythtv/files/mythtv-setup.png
new file mode 100644
index 0000000000..5d456be3af
--- /dev/null
+++ b/multimedia/mythtv/files/mythtv-setup.png
Binary files differ
diff --git a/multimedia/mythtv/files/mythtv.logrotate.d b/multimedia/mythtv/files/mythtv.logrotate.d
new file mode 100644
index 0000000000..a3024f4208
--- /dev/null
+++ b/multimedia/mythtv/files/mythtv.logrotate.d
@@ -0,0 +1,10 @@
+/var/log/mythbackend.log /var/log/mythfrontend.log {
+rotate 4
+weekly
+notifempty
+sharedscripts
+missingok
+postrotate
+[ -f "/var/run/mythbackend.pid" ] && /bin/kill -HUP `cat /var/run/mythbackend.pid`
+endscript
+}
diff --git a/multimedia/mythtv/files/rc.mythbackend.new b/multimedia/mythtv/files/rc.mythbackend.new
new file mode 100644
index 0000000000..7cb2683e6c
--- /dev/null
+++ b/multimedia/mythtv/files/rc.mythbackend.new
@@ -0,0 +1,62 @@
+#!/bin/sh
+# Start/stop/restart mythbackend
+#
+# Modification done by Benoit Beauchamp, based on rc.mysqld by
+#
+# Copyright 2003 Patrick J. Volkerding, Concord, CA
+# Copyright 2003 Slackware Linux, Inc., Concord, CA
+#
+# This program comes with NO WARRANTY, to the extent permitted by law.
+# You may redistribute copies of this program under the terms of the
+# GNU General Public License.
+#
+LOG=/var/log/mythbackend.log
+PID=/var/run/mythbackend.pid
+MYTHTV_HOME=/etc/mythtv
+export MYTHCONFDIR="$MYTHTV_HOME"
+export HOME="$MYTHTV_HOME"
+
+# Start mythbackend:
+myth_start() {
+ if [ -x /usr/bin/mythbackend ]; then
+ # If there is an old PID file (no mythbackend running), clean it up:
+ if [ -r $PID ]; then
+ if ! ps axc | grep mythbackend 1> /dev/null 2> /dev/null ; then
+ echo "Cleaning up old $PID."
+ rm -f $PID
+ fi
+ fi
+ echo "Starting mythbackend..."
+ /usr/bin/mythbackend --logpath $LOG -v general -p $PID -d
+ fi
+}
+
+# Stop mythbackend:
+myth_stop() {
+ # If there is no PID file, ignore this request...
+ if [ -r $PID ]; then
+ echo "Stopping mythbackend..."
+ killall mythbackend
+ rm -f $PID
+ fi
+}
+
+# Restart mythbackend:
+myth_restart() {
+ myth_stop
+ myth_start
+}
+
+case "$1" in
+'start')
+ myth_start
+ ;;
+'stop')
+ myth_stop
+ ;;
+'restart')
+ myth_restart
+ ;;
+*)
+ echo "usage $0 start|stop|restart"
+esac
diff --git a/multimedia/mythtv/mythtv.SlackBuild b/multimedia/mythtv/mythtv.SlackBuild
new file mode 100644
index 0000000000..7ed28e6fe4
--- /dev/null
+++ b/multimedia/mythtv/mythtv.SlackBuild
@@ -0,0 +1,158 @@
+#!/bin/sh
+
+# Slackware build script for mythtv
+# http://www.mythtv.org/
+
+# Written by David Somero <dsomero@hotmail.com>
+# Derived from Slackware's Slackbuilds.
+#
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010-2013 David Somero (dsomero@hotmail.com) Athens, TN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mythtv
+VERSION=0.27
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-fixes-$VERSION
+tar xvf $CWD/$PRGNAM-fixes-$VERSION.tar.gz
+cd $PRGNAM-fixes-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd mythtv
+# Pass libdir to zeromq.
+sed -i \
+ -e"s|--without-documentation|--without-documentation --libdir=/usr/lib$LIBDIRSUFFIX|" \
+ configure
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir-name=lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --compile-type=release \
+ --dvb-path=/usr/include \
+ --with-bindings="perl,python,php" \
+ --perl-config-opts="INSTALLDIRS=vendor" \
+ --disable-ccache \
+ --disable-distcc \
+ --disable-hdhomerun \
+ --enable-dvb \
+ --enable-xrandr \
+ --enable-xv \
+ --enable-x11 \
+ --enable-nonfree \
+ --enable-opengl-video \
+ --enable-libmp3lame \
+ --enable-libfaac \
+ --enable-libx264 \
+ --enable-libvpx \
+ --enable-libxvid \
+ --enable-symbol-visibility \
+ --enable-pic
+
+
+
+make
+make install INSTALL_ROOT="$PKG"
+
+# Don't package empty and wrong man directories.
+rm -rf $PKG/usr/share/man
+
+mkdir -p $PKG/var/lib/mythtv
+mkdir -p $PKG/var/cache/mythtv
+mkdir -p $PKG/etc/{logrotate.d,mythtv}
+
+# Other config/init files
+install -D -m 0755 $CWD/files/rc.mythbackend.new $PKG/etc/rc.d/rc.mythbackend.new
+touch $PKG/etc/mythtv/config.xml.new
+cat $CWD/files/mysql.txt > $PKG/etc/mythtv/mysql.txt.new
+cat $CWD/files/mythtv.logrotate.d > $PKG/etc/logrotate.d/mythbackend.new
+
+# Create desktop entry for mythfrontend and myth-setup.
+mkdir -p $PKG/usr/share/{pixmaps,applications}
+for file in mythtv-setup mythfrontend; do
+ cat $CWD/files/$file.png > $PKG/usr/share/pixmaps/$file.png
+ cat $CWD/files/$file.desktop > $PKG/usr/share/applications/$file.desktop
+done
+
+# Copy some other needed stuff to /usr/share/mythtv
+# Nuke Windows and Mac OS X build scripts
+rm -rf contrib/Win32 contrib/OSX
+cp -a database contrib $PKG/usr/share/$PRGNAM
+
+# Remove perllocal.pod and other special files that don't need to be installed
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING FAQ keys.txt README UPGRADING docs/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/mythtv/mythtv.info b/multimedia/mythtv/mythtv.info
new file mode 100644
index 0000000000..48af90ae68
--- /dev/null
+++ b/multimedia/mythtv/mythtv.info
@@ -0,0 +1,10 @@
+PRGNAM="mythtv"
+VERSION="0.27.0"
+HOMEPAGE="http://www.mythtv.org/"
+DOWNLOAD="http://downloads.sourceforge.net/project/mythtv.mirror/MythTV%200.27/mythtv-fixes-0.27.tar.gz"
+MD5SUM="2c7a2ebf3b9551a4d025d8e877381435"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libvpx libass faac lame MySQL-python lxml urlgrabber perl-http-message libwww-perl perl-Net-UPnP perl-IO-Socket-INET6 libvpx x264 xvidcore"
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
diff --git a/multimedia/mythtv/slack-desc b/multimedia/mythtv/slack-desc
new file mode 100644
index 0000000000..95c6a5b5bc
--- /dev/null
+++ b/multimedia/mythtv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mythtv: mythtv ( mythical home media convergence PVR/DVR )
+mythtv:
+mythtv: MythTV is a GPL licensed suite of programs that allow you
+mythtv: to build the mythical home media convergence (PVR / DVR)
+mythtv: box on your own using Open Source software and operating
+mythtv: systems.
+mythtv:
+mythtv: Homepage: http://www.mythtv.org/
+mythtv:
+mythtv:
+mythtv: